NAME
Tcl_StringMatch - test whether a string matches a pattern

SYNOPSIS
#include <tcl.h>

int
Tcl_StringMatch(string, pattern)

ARGUMENTS
String to test. Pattern to match against string. May contain special characters from the set *?\[].

DESCRIPTION

This utility procedure determines whether a string matches a given pattern. If it does, then Tcl_StringMatch returns 1. Otherwise Tcl_StringMatch returns 0. The algorithm used for matching is the same algorithm used in the ``string match'' Tcl command and is similar to the algorithm used by the C-shell for file name matching; see the Tcl manual entry for details.

KEYWORDS
match, pattern, string